Source: golang-github-nfnt-resize
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Alexandre Viau <aviau@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any
Standards-Version: 4.1.3
Homepage: https://github.com/nfnt/resize
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-nfnt-resize
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-nfnt-resize.git
XS-Go-Import-Path: github.com/nfnt/resize
Testsuite: autopkgtest-pkg-go

Package: golang-github-nfnt-resize-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Pure golang image resizing
 The resize package provides 2 functions:
 - resize.Resize creates a scaled image with new dimensions
   (width, height) using the interpolation function interp.
   If either width or height is set to 0, it will be set to
   an aspect ratio preserving value.
 - resize.Thumbnail downscales an image preserving its aspect
   ratio to the maximum dimensions (maxWidth, maxHeight).  It
   will return the original image if original sizes are smaller
   than the provided dimensions.
